org.apache.naming

## Class ResourceEnvRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.ResourceEnvRef

- All Implemented Interfaces:
    Serializable, Cloneable

      public class ResourceEnvRef
      extends Reference

  Represents a reference address to a resource environment.
  Author:
    Remy Maucherat
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FACTORY` Default factory for this reference.

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceEnvRef(String resourceType)` Resource env reference.
    `ResourceEnvRef(String resourceType, String factory, String factoryLocation)` Resource env reference.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY

          public static final String DEFAULT_FACTORY

      Default factory for this reference.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceEnvRef

          public ResourceEnvRef(String resourceType)

      Resource env reference.
      Parameters:
        `resourceType` - Type

    - #### ResourceEnvRef

          public ResourceEnvRef(String resourceType,
                        String factory,
                        String factoryLocation)

      Resource env reference.
      Parameters:
        `resourceType` - Type
        `factory` - The factory class
        `factoryLocation` - The factory location

  - ### Method Detail

    - #### getFactoryClassName

          public String getFactoryClassName()

      Retrieves the class name of the factory of the object to which this reference refers.
      Overrides:
        `getFactoryClassName` in class `Reference`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.